summary refs log tree commit diff
path: root/.ci/scripts/test_old_deps.sh
diff options
context:
space:
mode:
authorDavid Robertson <davidr@element.io>2021-08-11 19:59:57 +0100
committerDavid Robertson <davidr@element.io>2021-08-11 19:59:57 +0100
commit33ef86aa2515f623fa6e8657d16c918b6a6d9da5 (patch)
tree42785b59a86e3c8df04ade348ae998e6e483cff5 /.ci/scripts/test_old_deps.sh
parentAdd changelog entry and signoff (diff)
downloadsynapse-33ef86aa2515f623fa6e8657d16c918b6a6d9da5.tar.xz
Rename ci to .ci
Diffstat (limited to '.ci/scripts/test_old_deps.sh')
-rwxr-xr-x.ci/scripts/test_old_deps.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.ci/scripts/test_old_deps.sh b/.ci/scripts/test_old_deps.sh
new file mode 100755
index 0000000000..8b473936f8
--- /dev/null
+++ b/.ci/scripts/test_old_deps.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+# this script is run by GitHub Actions in a plain `bionic` container; it installs the
+# minimal requirements for tox and hands over to the py3-old tox environment.
+
+set -ex
+
+apt-get update
+apt-get install -y python3 python3-dev python3-pip libxml2-dev libxslt-dev xmlsec1 zlib1g-dev tox
+
+export LANG="C.UTF-8"
+
+# Prevent virtualenv from auto-updating pip to an incompatible version
+export VIRTUALENV_NO_DOWNLOAD=1
+
+exec tox -e py3-old,combine